更新 microsoftAuthenticatorAuthenticationMethodConfiguration

命名空间:microsoft.graph

更新 microsoftAuthenticatorAuthenticationMethodConfiguration 对象的属性,该对象代表 Azure AD 租户的 Microsoft Authenticator 身份验证方法策略。

权限

要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限

权限类型 权限(从最低特权到最高特权)
委派(工作或学校帐户) Policy.ReadWrite.AuthenticationMethod
委派(个人 Microsoft 帐户) 不支持。
应用程序 Policy.ReadWrite.AuthenticationMethod

对于委派方案,管理员需要以下 Azure AD 角色之一:

  • 身份验证策略管理员
  • 全局管理员

HTTP 请求

PATCH /policies/authenticationMethodsPolicy/authenticationMethodConfigurations/microsoftAuthenticator

请求标头

名称 说明
Authorization Bearer {token}。必需。
Content-Type application/json. Required.

请求正文

在请求正文中,使用应更新的字段值提供 microsoftAuthenticatorAuthenticationMethodConfiguration 对象的 JSON 表示形式。 请求正文中不包括的现有属性将保留其以前的值,或根据对其他属性值的更改重新计算。 为了获得最佳性能,请勿加入尚未更改的现有值。

有关属性列表,请参阅 microsoftAuthenticatorAuthenticationMethodConfiguration

注意:@odata.type具有值的#microsoft.graph.microsoftAuthenticatorAuthenticationMethodConfiguration属性必须包含在正文中。

响应

如果成功,此方法返回 204 No Content 响应代码。它不在响应正文中返回任何内容。

示例

请求

PATCH https://graph.microsoft.com/v1.0/policies/authenticationMethodsPolicy/authenticationMethodConfigurations/microsoftAuthenticator
Content-Type: application/json

{
  "@odata.type": "#microsoft.graph.microsoftAuthenticatorAuthenticationMethodConfiguration",
  "state": "String"
}

响应

注意: 为了提高可读性,可能缩短了此处显示的响应对象。

HTTP/1.1 200 OK
Content-Type: application/json

{
  "@odata.type": "#microsoft.graph.microsoftAuthenticatorAuthenticationMethodConfiguration",
  "id": "129ae788-e788-129a-88e7-9a1288e79a12",
  "state": "String"
}